# Uses of Enum
org.eclipse.mat.hprof.ExportHprof.RedactType

Packages that use ExportHprof.RedactType
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).

## Uses of ExportHprof.RedactType in org.eclipse.mat.hprof

Fields in org.eclipse.mat.hprof declared as ExportHprof.RedactType
Modifier and Type
Field
Description
`ExportHprof.RedactType`
ExportHprof.`redact`
Methods in org.eclipse.mat.hprof that return ExportHprof.RedactType
Modifier and Type
Method
Description
`static ExportHprof.RedactType`
ExportHprof.RedactType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExportHprof.RedactType[]`
ExportHprof.RedactType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.